/*******************************************************************************
**                                                                            **
**                _  _               ___             _                        **
**               (_)| |__   _ __    / _ \ _ __ ___  | |__    /\  /\           **
**               | || '_ \ | '__|  / /_\/| '_ ` _ \ | '_ \  / /_/ /           **
**               | || | | || |    / /_\\ | | | | | || |_) |/ __  /            **
**               |_||_| |_||_|    \____/ |_| |_| |_||_.__/ \/ /_/             **
**                                                                            **
**  ihr GmbH                                                                  **
**  Airport Boulevard B210                                                    **
**  77836 Rheinmünster - Germany                                              **
**  http://www.ihr.de                                                         **
**  Phone +49(0) 7229-18475-0                                                 **
**  Fax   +49(0) 7229-18475-11                                                **
**                                                                            **
********************************************************************************
**                                                                            **
** (c) Alle Rechte bei IHR GmbH, auch fuer den Fall von Schutzrechts-         **
** anmeldungen. Jede Verfuegungsbefugnis, wie Kopier- und Weitergaberecht     **
** bei uns.                                                                   **
**                                                                            **
** (c) All rights reserved by IHR GmbH including the right to file            **
** industrial property rights. IHR GmbH retains the sole power of             **
** disposition such as reproduction or distribution.                          **
**                                                                            **
*********************    Workfile:    genLinConfig.c      **********************
**                                                                            **
**  PROJECT-DESCRIPTION:  Infineon LIN Driver                                 **
**                                                                            **
**  FILE-DESCRIPTION:  Generated LIN Configuration File                       **
**                                                                            **
*******************************************************************************/

/*******************************************************************************
**                             Author(s) Identity                             **
********************************************************************************
** Initials     Name                                                          **
** ---------------------------------------------------------------------------**
** BR           B.Roegl                                                       **
** HS           H. Spinner                                                    **
** BG           Blandine Guillot                                              **
** JO           Julia Ott                                                     **
*******************************************************************************/

/*******************************************************************************
**                          Revision Control History                          **
********************************************************************************
** V1.0.0: 2014-02-18, HS:   New Demo driver for Infineon TLE987x             **
** V1.0.1: 2020-04-15, BG:   Updated abstract                                 **
** V1.0.2: 2025-01-02, JO:   EP-1493: Updated license                         **
*******************************************************************************/


/* Generated by LDCTool 2.0.3.12      Date: 28.01.2015 */
/* Generated from LDF: c:\userdata\mysliwid\02_produkte\03_proteus\training\disti fae - 2015 jan\lin_ldf.ldf */

#include "genLinConfig.h"
volatile t_l_flags_MotorCtrl l_flags_MotorCtrl;
volatile t_l_flags_MotorStatus l_flags_MotorStatus;
void l_Update_Frame_Flags(l_u8 number)
{
  switch (number)
  {
    case (0):
      l_Update_flags_frame0()
      break;

    case (1):
      l_Update_flags_frame1()
      break;

    default:
      break;
  }
}

/* define generated lin data variables with init value */
t_l_Lin_Data l_LinData =
{
  {
    (l_u8)0, (l_u8)0, (l_u8)255, (l_u8)255, (l_u8)255, (l_u8)255, (l_u8)255, (l_u8)255,
    (l_u8)0, (l_u8)0, (l_u8)254, (l_u8)255, (l_u8)255, (l_u8)255, (l_u8)255, (l_u8)255
  }
};

/* File Footer */
/* genLinConfig.c file for TLE9879 */
