/*
 ***********************************************************************************************************************
 *
 * Copyright (c) Infineon Technologies AG
 * All rights reserved.
 *
 * The applicable license agreement can be found at this pack's installation directory in the file
 * license/IFX_SW_Licence_MOTIX_LITIX.txt
 *
 **********************************************************************************************************************/

/*******************************************************************************
**                             Author(s) Identity                             **
********************************************************************************
** Initials     Name                                                          **
** ---------------------------------------------------------------------------**
** BG           Blandine Guillot                                              **
** JO           Julia Ott                                                     **
*******************************************************************************/

/*******************************************************************************
**                          Revision Control History                          **
********************************************************************************
** V1.0.0: 2020-07-21, BG:   Initial version                                  **
** V1.0.1: 2025-01-02, JO:   EP-1493: Updated license                         **
*******************************************************************************/

#include <port.h>

/* This function is the interrupt callback whenever TIMER2 overflows */
void LED_Blink(void)
{
  PORT_P14_Output_Toggle_Set();
}
