/*sha256=08A6F8E97EBBAD2E9B5E4640874908C8950781CFB3DEC312B1953CB668877370*/
/**
 * @cond
 ***********************************************************************************************************************
 *
 * Copyright (c) 2015, Infineon Technologies AG
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,are permitted provided that the
 * following conditions are met:
 *
 *   Redistributions of source code must retain the above copyright notice, this list of conditions and the  following
 *   disclaimer.
 *
 *   Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the
 *   following disclaimer in the documentation and/or other materials provided with the distribution.
 *
 *   Neither the name of the copyright holders nor the names of its contributors may be used to endorse or promote
 *   products derived from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES,
 * INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 * DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE  FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
 * SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 * WHETHER IN CONTRACT, STRICT LIABILITY,OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT  OF THE
 * USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 **********************************************************************************************************************/

/*------------------------------------------------------------------------------
IFXConfigWizard output file
created on:Do Dez 15 12:55:12 2022
------------------------------------------------------------------------------*/

#ifndef _ADC2_DEFINES_H
#define _ADC2_DEFINES_H

#ifndef IFXConfigWizard_Version
  #define IFXConfigWizard_Version 1.8.7
#endif

/* XML Version 1.5.6 */
#ifndef ADC2_XML_VERSION
  #define ADC2_XML_VERSION 10506
#endif

#ifndef ADC2_CH1_LOTH_VOLT
  #define ADC2_CH1_LOTH_VOLT 5.78
#endif

#ifndef ADC2_CH1_UPTH_VOLT
  #define ADC2_CH1_UPTH_VOLT 17.3
#endif

#ifndef ADC2_CH2_LOTH_VOLT
  #define ADC2_CH2_LOTH_VOLT 5.78
#endif

#ifndef ADC2_CH2_UPTH_VOLT
  #define ADC2_CH2_UPTH_VOLT 23.4
#endif

#ifndef ADC2_CH3_LOTH_VOLT
  #define ADC2_CH3_LOTH_VOLT 5.2
#endif

#ifndef ADC2_CH3_UPTH_VOLT
  #define ADC2_CH3_UPTH_VOLT 35
#endif

#ifndef ADC2_CH4_LOTH_VOLT
  #define ADC2_CH4_LOTH_VOLT 5.078
#endif

#ifndef ADC2_CH4_UPTH_VOLT
  #define ADC2_CH4_UPTH_VOLT 16.88
#endif

#ifndef ADC2_CH5_LOTH_VOLT
  #define ADC2_CH5_LOTH_VOLT 4.5
#endif

#ifndef ADC2_CH5_UPTH_VOLT
  #define ADC2_CH5_UPTH_VOLT 5.5
#endif

#ifndef ADC2_CH6_LOTH_VOLT
  #define ADC2_CH6_LOTH_VOLT 4.5
#endif

#ifndef ADC2_CH6_UPTH_VOLT
  #define ADC2_CH6_UPTH_VOLT 5.5
#endif

#ifndef ADC2_CH7_LOTH_VOLT
  #define ADC2_CH7_LOTH_VOLT 1.01
#endif

#ifndef ADC2_CH7_UPTH_VOLT
  #define ADC2_CH7_UPTH_VOLT 1.3
#endif

#ifndef ADC2_CH8_LOTH_VOLT
  #define ADC2_CH8_LOTH_VOLT 1.35
#endif

#ifndef ADC2_CH8_UPTH_VOLT
  #define ADC2_CH8_UPTH_VOLT 1.6
#endif

#ifndef ADC2_CH9_LOTH_DEG
  #define ADC2_CH9_LOTH_DEG 150
#endif

#ifndef ADC2_CH9_UPTH_DEG
  #define ADC2_CH9_UPTH_DEG 200
#endif

#ifndef ADC2_CLK
  #define ADC2_CLK 24
#endif

/*ADC2_CNT0_3_LOWER: (0<<11)|(0<<8)|(0<<19)|(0<<16)|(0<<27)|(0<<24)*/
#ifndef ADC2_CNT0_3_LOWER
  #define ADC2_CNT0_3_LOWER (0x0u)
#endif

/*ADC2_CNT0_3_UPPER: (0<<11)|(0<<8)|(0<<19)|(0<<16)|(0<<27)|(0<<24)*/
#ifndef ADC2_CNT0_3_UPPER
  #define ADC2_CNT0_3_UPPER (0x0u)
#endif

/*ADC2_CNT4_5_LOWER: (0<<3)|0|(0<<11)|(0<<8)*/
#ifndef ADC2_CNT4_5_LOWER
  #define ADC2_CNT4_5_LOWER (0x0u)
#endif

/*ADC2_CNT4_5_UPPER: (0<<3)|0|(0<<11)|(0<<8)*/
#ifndef ADC2_CNT4_5_UPPER
  #define ADC2_CNT4_5_UPPER (0x0u)
#endif

#ifndef ADC2_CONV_TIME
  #define ADC2_CONV_TIME 1.375
#endif

/*ADC2_CTRL1: (0<<1)|(0<<2)|(0<<3)|(0<<4)|(0<<5)*/
#ifndef ADC2_CTRL1
  #define ADC2_CTRL1 (0x0u)
#endif

/*ADC2_CTRL2: 0|(7<<8)|(0<<2)*/
#ifndef ADC2_CTRL2
  #define ADC2_CTRL2 (0x700u)
#endif

/*ADC2_CTRL4: (0<<1)|(0<<2)|(0<<3)|(0<<4)|(0<<5)|(0<<8)|(0<<9)|(0<<10)|(0<<11)*/
#ifndef ADC2_CTRL4
  #define ADC2_CTRL4 (0x0u)
#endif

/*ADC2_CTRL_STS: (0<<17)*/
#ifndef ADC2_CTRL_STS
  #define ADC2_CTRL_STS (0x0u)
#endif

/*ADC2_FILTCOEFF0_5: (0<<2)|(0<<4)|(0<<6)|(0<<8)|(0<<10)*/
#ifndef ADC2_FILTCOEFF0_5
  #define ADC2_FILTCOEFF0_5 (0x0u)
#endif

/*ADC2_FILT_LO_CTRL: (0<<1)|(0<<2)|(0<<3)|(0<<4)|(0<<5)*/
#ifndef ADC2_FILT_LO_CTRL
  #define ADC2_FILT_LO_CTRL (0x0u)
#endif

/*ADC2_FILT_UP_CTRL: (0<<1)|(0<<2)|(0<<3)|(0<<4)|(0<<5)*/
#ifndef ADC2_FILT_UP_CTRL
  #define ADC2_FILT_UP_CTRL (0x0u)
#endif

/*ADC2_MMODE0_5: (0<<2)|(0<<4)|(0<<6)|(0<<8)|(0<<10)*/
#ifndef ADC2_MMODE0_5
  #define ADC2_MMODE0_5 (0x0u)
#endif

/*ADC2_TH0_3_LOWER: (66<<8)|(47<<16)|(25<<24)*/
#ifndef ADC2_TH0_3_LOWER
  #define ADC2_TH0_3_LOWER (0x192F4200u)
#endif

/*ADC2_TH0_3_UPPER: (200<<8)|(192<<16)|(169<<24)*/
#ifndef ADC2_TH0_3_UPPER
  #define ADC2_TH0_3_UPPER (0xA9C0C800u)
#endif

/*ADC2_TH4_5_LOWER: 41|(155<<8)*/
#ifndef ADC2_TH4_5_LOWER
  #define ADC2_TH4_5_LOWER (0x9B29u)
#endif

/*ADC2_TH4_5_UPPER: 138|(189<<8)*/
#ifndef ADC2_TH4_5_UPPER
  #define ADC2_TH4_5_UPPER (0xBD8Au)
#endif

/*ADC2_TH6_9_LOWER: 207|(159<<8)|(213<<16)|(214<<24)*/
#ifndef ADC2_TH6_9_LOWER
  #define ADC2_TH6_9_LOWER (0xD6D59FCFu)
#endif

/*ADC2_TH6_9_UPPER: 253|(205<<8)|(252<<16)|(238<<24)*/
#ifndef ADC2_TH6_9_UPPER
  #define ADC2_TH6_9_UPPER (0xEEFCCDFDu)
#endif


#endif
